unit MainFRM;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, GeoWhois, ExtCtrls;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    edtDomain: TEdit;
    Label1: TLabel;
    btnWhois: TSpeedButton;
    GeoWhois: TGeoWhois;
    mmoStatus: TMemo;
    gbProjection: TGroupBox;
    rbRectangular: TRadioButton;
    rbElliptical: TRadioButton;
    gbZoomFactor: TGroupBox;
    rb15: TRadioButton;
    rb30: TRadioButton;
    rb60: TRadioButton;
    rb120: TRadioButton;
    procedure btnWhoisClick(Sender: TObject);
    procedure GeoWhoisDomainStatus(Sender: TObject; aError: Integer;
      aDomain: String);
  private
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}


procedure TMainForm.btnWhoisClick(Sender: TObject);
begin
  if edtDomain.Text <> '' then
    with GeoWhois do
    begin
      if rbRectangular.Checked then
        Projection := Rectangular
      else
        Projection := Elliptical;
      if rb15.Checked then
        ZoomFactor := a15Degrees;
      if rb30.Checked then
        ZoomFactor := a30Degrees;
      if rb60.Checked then
        ZoomFactor := a60Degrees;
      if rb120.Checked then
        ZoomFactor := a120Degrees;
      Domain := edtDomain.Text;
      Execute;
    end
  else
    ShowMessage('Domain field empty!');
end;

procedure TMainForm.GeoWhoisDomainStatus(Sender: TObject; aError: Integer;
  aDomain: String);
begin
  if aError = 0 then
    mmoStatus.Lines.Add('Found geographic location of domain: ' + aDomain)
  else
    mmoStatus.Lines.Add('Error: ' + Errors[aError] + ', Domain: ' + aDomain);
end;

end.
